
TITLE "%~dpnx0"

:SETUP
	rem echo.if /i "!bat_pause!!bat_prompt!!bat_exedir!" equ "" ^(
	if      /i "!bat_pause!!bat_prompt!!bat_exedir!" equ "" (
			  @echo off
			echo.call "%~dp0AutoCams.setup.bat" "%~dpnx0"
			     call "%~dp0AutoCams.setup.bat" "%~dpnx0"
			
			echo.call "%~dp0indent_setup.bat"
			     call "%~dp0indent_setup.bat"
	)


        rem This reads the "Cams2Global.ini" file for 
        rem sections, keys, and values.  The keys and values
        rem are in the format of autonomouslevel=cal.  
        rem 
        rem If the environment variable is not a [section] then it
        rem is either a key or a comment.  
        rem 
        rem A comment is any line that starts with "//" or "rem ". 
        rem 
        rem If the key starts with "bat_", then the environment variable
        rem will bet set without the section prefix.  Otherwise, the
        rem environment variable will be set with the section 
        rem prefix.
        rem
        rem For more information on how this works, see ReadParams.bat from autocams. 
        rem
        rem
:READCAMS2GLOBAL_BAT
rem !bat_log! [call %~nx0:READCAMS2GLOBAL_BAT] [%*]
	set bat_retval=1
	set bat_paramsfile=%~dp0Cams2Global.ini

	if not exist "!bat_paramsfile!" (
		set bat_paramsfile=!bat_exedrive!\cams2_queue\RunFolder\Cams2Global.ini
	)

	if not exist "!bat_paramsfile!" (
		echo.
		echo.     ERROR - Cannot find params file: "!bat_paramsfile!"
		echo.
		!bat_log!
		!bat_log! '[%~nx0:READCAMS2GLOBAL_BAT]    ERROR - Cannot read params file: "!bat_paramsfile!"
		!bat_log!
		goto :READCAMS2GLOBAL_BAT_END
	)

rem	!bat_log! for /f "usebackq tokens=*" ..x in ^(`type "!bat_paramsfile!"`^) do ^(
	for           /f "usebackq tokens=*" %%x in (`type "!bat_paramsfile!"`) do (
			set bat_retval=0
			set bat_temp=%%x
rem			!bat_log! set bat_temp=%%x
		if /i "!bat_temp!" neq "" (
			if /i "!bat_temp:~0,1!" neq " " (
				if /i "!bat_temp:~0,1!" neq "	" (
					if /i "!bat_temp:~0,2!" neq "//" (
						rem It's not a single-line comment "//"

						if /i "!bat_temp:~0,3!" neq " rem " (
							rem It's not a single line comment " rem "

							if /i "!bat_temp:~0,4!" neq "rem " (
								rem It's not a comment "rem "

								if /i "!bat_temp:~0,1!" equ "[" (
									rem It's a [section]
									set bat_temp=!bat_temp:~1,99!
rem									!bat_log! '    set bat_inisection=bat_!bat_temp:~0,-1!
												   set bat_inisection=bat_!bat_temp:~0,-1!
								) else (
									rem It's a bat_key=value
									if "!bat_temp:~0,4!" equ "bat_" (
rem									!bat_log! '    set !bat_temp!
											       set !bat_temp!
									) else (
										rem It's a key=value
rem										!bat_log! '    set !bat_inisection!.!bat_temp!
													   set !bat_inisection!.!bat_temp!
									)
								)
							)
						)
					)
				)
			)
		)
rem !bat_echolog! '    bat_temp=!bat_temp!
	)


	
	for /f "usebackq tokens=*" %%x in (`type "!bat_exedir!\AutoCams.vers.ini"`) do (
		set %%~x
	)

	if not defined bat_AUTOCAMS.locale (
		set bat_AUTOCAMS.locale=en-US
	)
	
	set bat_retval=0

:READCAMS2GLOBAL_BAT_END
rem !bat_log! [RETURN %~nx0:READCAMS2GLOBAL_BAT [bat_retval=!bat_retval!, bat_paramsfile=!bat_paramsfile!]
	set bat_temp=
	set bat_inisection=
exit /b !bat_retval!	
!bat_return!


